import request from '@/utils/request'

// 查询交通对象列表
export function listTrafficInfo(query) {
  return request({
    url: '/info/trafficInfo/list',
    method: 'get',
    params: query
  })
}

// 查询交通对象详细
export function getTrafficInfo(trafficId) {
  return request({
    url: '/info/trafficInfo/' + trafficId,
    method: 'get'
  })
}

// 新增交通对象
export function addTrafficInfo(data) {
  return request({
    url: '/info/trafficInfo',
    method: 'post',
    data: data
  })
}

// 修改交通对象
export function updateTrafficInfo(data) {
  return request({
    url: '/info/trafficInfo',
    method: 'put',
    data: data
  })
}

// 删除交通对象
export function delTrafficInfo(trafficId) {
  return request({
    url: '/info/trafficInfo/' + trafficId,
    method: 'delete'
  })
}

// 导出交通对象
export function exportTrafficInfo(query) {
  return request({
    url: '/info/trafficInfo/export',
    method: 'get',
    params: query
  })
}
